#pragma once

#include "CoreMinimal.h"
#include "K40SurvivorRemoveProjectileInteraction.h"
#include "AnimationMontageDescriptor.h"
#include "K40SurvivorRemoveProjectileFromOtherInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK40SurvivorRemoveProjectileFromOtherInteraction : public UK40SurvivorRemoveProjectileInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _targetPlayerInMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _targetPlayerUpdateMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _targetPlayerExitSuccessMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _targetPlayerExitFailMontage;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FAnimationMontageDescriptor _interactingPlayerExitFailMontage;

public:
	UK40SurvivorRemoveProjectileFromOtherInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UK40SurvivorRemoveProjectileFromOtherInteraction) { return 0; }
